# ContextExplorer

Thanks for stopping by! `（ ^_^）o自自o（^_^ ）`

ContextExplorer is a software program that facilitates analyses of data
extracted from microscope images of cells.

## Relevance

The analyses methods in ContextExplorer focuses on how populations of cells are
affected by their microenvironment, including local variations in cell
signalling and cell density. It is currently difficult for scientist without
previous programming experience to quantify these variables, although it is
relevant for many research areas. Facilitating this type of analyses can help
scientist around the world to improve their understanding of cellular behavior
and accelerate their research.

## Contributing

Feedback and suggestions are always welcome! This does not have to be
code-related, don't be shy =) Please read [the contributing
guidelines](https://gitlab.com/joelostblom/context-explorer/blob/master/CONTRIBUTING.md)
to get started.

## Using ContextExplorer

### Installation

Currently, the software is distributed as source code only. The required
dependencies are `python3`, `pandas`, `numpy`, `scikit-learn`, `matplotlib`,
`shapely`, and `natsort`. A `conda` package will be created shortly to
facilitate installation.

### Overview

ContextExplorer is controlled via a graphical user interface and aims to enable
powerful analysis and visualizations of single cell data extracted from
microscope images for a broad scientific audience. ContextExplorer can
work in tandem with many other tools since it only depends on a correctly
formatted CSV-file as input and only outputs commonly used file formats (`.csv`,
`.jpg`, `.png`, and `.pdf`)

Detailed documentation and workflow examples are available at the [documentation
page](http://contextexplorer.readthedocs.io/en/latest/).

## Code of conduct

This project adheres to the [Mozilla participation
guidelines](https://www.mozilla.org/en-US/about/governance/policies/participation/).
In brief, be respectful, be direct but professional, be inclusive, understand
different perspectives, appreciate and accommodate our similarities and
differences, and lead by example.


direct and respectful, discuss underlying technical issues instead
of personal matters, be understanding and helpful to people with less experience
or a different perspective.
